'use strict';

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _include3 = require('./include');

var _include4 = _interopRequireDefault(_include3);

var _CoreManager = require('./CoreManager');

var _CoreManager2 = _interopRequireDefault(_CoreManager);

var _Parse = require('./Parse');

var _Parse2 = _interopRequireDefault(_Parse);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var CoreManager1 = new _CoreManager2.default();
CoreManager1.set('APPLICATION_ID', 'Application_1');

var CoreManager2 = new _CoreManager2.default();
CoreManager2.set('APPLICATION_ID', 'Application_2');

var _include = (0, _include4.default)('./testModule-1', CoreManager1),
    Test = _include.Test;

var test = new Test();
test.print();

var _include2 = (0, _include4.default)('./testModule-1', CoreManager2),
    Test1 = _include2.Test;

var test2 = new Test1();
test2.print();

var testModule = (0, _include4.default)('./testModule-2', CoreManager2);
var test3 = new testModule.Test();
test3.print();

var testFunction = (0, _include4.default)('./testModule-2', CoreManager2).default;
testFunction();

var objectTest = {};
console.log(objectTest instanceof _Parse2.default.Object);

var forwardExport = { default: undefined };
var forwardClassVar = forwardExport.default;

testForwardDecl();

function testForwardDecl() {
    (function () {
        console.log('forwardDecl successfully!');
    })();


    var forwardClass = function () {
        function forwardClass() {
            (0, _classCallCheck3.default)(this, forwardClass);
        }

        (0, _createClass3.default)(forwardClass, [{
            key: 'print',
            value: function () {
                console.log('forwardClass successfully!');
            }
        }]);
        return forwardClass;
    }();

    forwardExport.default = forwardClass;
}

console.log(forwardClassVar);