import include from './include';
import CoreManagerType from './CoreManager';

const CoreManager1 = new CoreManagerType();
CoreManager1.set('APPLICATION_ID', 'Application_1');

const CoreManager2 = new CoreManagerType();
CoreManager2.set('APPLICATION_ID', 'Application_2');

const { Test } = include('./testModule-1', CoreManager1);
const test = new Test();
test.print();

const { Test: Test1 } = include('./testModule-1', CoreManager2);
const test2 = new Test1();
test2.print();

const testModule = include('./testModule-2', CoreManager2);
const test3 = new testModule.Test();
test3.print();

const testFunction = include('./testModule-2', CoreManager2).default;
testFunction();

import Parse from './Parse';
const objectTest = {};
console.log(objectTest instanceof Parse.Object);

var forwardExport = { default: undefined };
var forwardClassVar = forwardExport.default;

testForwardDecl();

function testForwardDecl() {
    (function () {
        console.log('forwardDecl successfully!');
    })();

    forwardExport.default = class {
        print() {
            console.log('forwardClass successfully!');
        }
    };
}

console.log(forwardClassVar);