'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

exports.default = function (CoreManager, Exports) {
  (0, _include2.default)('./ParsePromise', CoreManager);


  (0, _assign2.default)(Exports, {
    async: 0,

    getItem: function (path) {
      return localStorage.getItem(path);
    },
    setItem: function (path, value) {
      try {
        localStorage.setItem(path, value);
      } catch (e) {
        // Quota exceeded, possibly due to Safari Private Browsing mode
      }
    },
    removeItem: function (path) {
      localStorage.removeItem(path);
    },
    clear: function () {
      localStorage.clear();
    }
  });
};

var _include = require('./include');

var _include2 = _interopRequireDefault(_include);

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}