

import include from './include'; /**
                                  * Copyright (c) 2015-present, Parse, LLC.
                                  * All rights reserved.
                                  *
                                  * This source code is licensed under the BSD-style license found in the
                                  * LICENSE file in the root directory of this source tree. An additional grant
                                  * of patent rights can be found in the PATENTS file in the same directory.
                                  *
                                  * 
                                  */

export default function (CoreManager, Exports) {

  const ParseObject = include('./ParseObject', CoreManager);

  class Installation extends ParseObject.default {
    constructor(attributes) {
      super('_Installation');
      if (attributes && typeof attributes === 'object') {
        if (!this.set(attributes || {})) {
          throw new Error('Can\'t create an invalid Session');
        }
      }
    }
  }
  Exports.default = Installation;

  ParseObject.default.registerSubclass('_Installation', Installation);
}